package cn.wzpmc.hny.events;

import cn.wzpmc.hny.games.enums.Games;
import cn.wzpmc.hny.pojo.BoxPosition;
import org.bukkit.Material;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.world.WorldLoadEvent;

public class WorldLoad implements Listener {
    @EventHandler
    public void onWorldLoad(WorldLoadEvent event){
        World world = event.getWorld();
        if (world.getName().equals("game1")){
            for (Games value : Games.values()) {
                BoxPosition boxPosition = value.getBoxPosition();
                boxPosition.triggerRedstoneLamp(world, false);
            }
            BoxPosition boxPosition = Games.GAME5.getBoxPosition();
            boxPosition.replace(world, Material.END_PORTAL, Material.AIR);
        }
    }
}
