package cn.wzpmc.hny.games.enums;

import cn.wzpmc.hny.games.events.StageEvent;
import cn.wzpmc.hny.games.events.impl.*;
import cn.wzpmc.hny.pojo.BoxPosition;

public enum Games {
    GAME1(new BoxPosition(126,230,252,68,135,310), new Game1StageEvent()),
    GAME2(new BoxPosition(126,230,251,68,135,193), new Game2StageEvent()),
    GAME3(new BoxPosition(127,230,251,185,135,193), new Game3StageEvent()),
    GAME4(new BoxPosition(127,230,252,185,135,310), new Game4StageEvent()),
    GAME5(new BoxPosition(135,227,260,118,227,243), new Game5StageEvent());
    final BoxPosition boxPosition;
    final StageEvent event;
    Games(BoxPosition boxPosition, StageEvent event){
        this.boxPosition = boxPosition;
        this.event = event;
    }

    public BoxPosition getBoxPosition() {
        return boxPosition;
    }
    public void triggerStartEvent(){
        this.event.onStageStart();
    }
    public void triggerDoneEvent(){
        this.event.onStageDone();
    }
}
