package cn.wzpmc.hny.games.events.impl;

import cn.wzpmc.hny.games.enums.Games;
import cn.wzpmc.hny.games.events.StageEvent;
import cn.wzpmc.hny.pojo.BoxPosition;
import cn.wzpmc.hny.utils.Wind;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.World;

public class Game5StageEvent extends StageEvent {
    @Override
    public void onStageStart() {
        World game1World = server.getWorld("game1");
        BoxPosition boxPosition = Games.GAME5.getBoxPosition();
        boxPosition.replaceAir(game1World, Material.END_PORTAL);
        Wind wind = new Wind(new Location(game1World, 127, 143, 252), 227, 8.5, 10);
        wind.spawn("toTheEnd");
    }

    @Override
    public void onStageDone() {

    }
}
